# (tv) disable rpath checks;
%global __brp_check_rpaths %nil

%{?mgaversion: %global mdkversion %(echo $[(2010+%mgaversion)*100])}

%define teventmajor	0
%define libtevent	%mklibname tevent %{teventmajor}
%define teventdevel	%mklibname tevent -d

Name: tevent
URL: https://tevent.samba.org/
License: GPLv3
# Shipped in samba4 without internal version:
Version: 0.12.1
Release: %mkrel 1
Group: System/Libraries
Summary: Samba4's event management library
Source0: http://samba.org/ftp/tevent/tevent-%{version}.tar.xz
BuildRequires: pkgconfig(talloc)
BuildRequires: pkgconfig(python3)
BuildRequires: python3-talloc
BuildRequires: pytalloc-util-devel
BuildRequires: gnupg2
BuildRequires: pkgconfig(cmocka)

%description
Tevent is an event system based on the talloc memory management library. It is
the core event system used in Samba. Tevent has support for many event types,
including timers, signals, and the classic file descriptor events. Tevent also
provides helpers to deal with asynchronous code providing the tevent_req
(Tevent Request) functions.

%package -n %{libtevent}
Group: System/Libraries
Summary: Samba4's event management library

%description -n %{libtevent}
Samba4's event management library.

%package -n %{teventdevel}
Group: Development/Libraries
Summary: Development files for Samba4's event management library
Provides: tevent-devel = %{version}-%{release}
Requires: %{libtevent} = %{version}-%{release}

%description -n %{teventdevel}
Development files for Samba4's event management library.

%package -n python3-tevent
Group: Development/Python
Summary: Python 3 module for Samba4's event management library
%{?python_provide:%python_provide python3-tevent}

%description -n python3-tevent
Python 3 module for Samba4's event management library.

%prep
%setup -q
%apply_patches

# replace removed time.clock()
sed -i -e "s,time\.clock(),time.perf_counter(),g" buildtools/wafsamba/samba_deps.py

# fix for python3.8
sed -i -e "/all_flags/s,\('--libs'\),\1\, '--embed'," third_party/waf/waflib/Tools/python.py

%build
%configure2_5x --bundled-libraries=NONE
%make_build

%install
%make_install

%files -n %{libtevent}
%{_libdir}/libtevent.so.%{teventmajor}*

%files -n %{teventdevel}
%{_libdir}/libtevent.so
%{_includedir}/tevent.h
%{_libdir}/pkgconfig/tevent.pc

%files -n python3-tevent
%{python3_sitearch}/tevent.py
%{python3_sitearch}/_tevent.cpython*.so


%changelog
* Mon Aug 15 2022 tex - 0.11.0-1pclos2022
- new version

* Sat Mar 09 2019 tex 0.9.39-1pclos2019
- 0.9.39
